version: "3.3"

services:

  app:
    build: ../../
    ports:
      - 3000:3000
    environment:
      - DB_HOST=db
      - DB_PORT=3306

  db:
    image: mariadb
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW
    restart: always
    volumes:
      - db:/var/lib/mysql
      - ./sql:/docker-entrypoint-initdb.d
    env_file:
      - db.env
      
volumes:
  db:
  

      
